commit a2565d7d3d1113293a64c6e7e30c0f1326a04aaf
Author: Ken Gaillot <kgaillot@redhat.com>
Date:   Tue Aug 29 18:28:02 2017 -0500

    Test: pengine: update regression tests for master score change
    
    This includes improved behavior for two tests: two masters are promoted
    (instead of one) when master-max=2.

Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-1765.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-1765.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-1765.scores
@@ -1,7 +1,7 @@
 Allocation scores:
 clone_color: drbd0:0 allocation score on sles236: 76
 clone_color: drbd0:0 allocation score on sles238: 75
-clone_color: drbd0:1 allocation score on sles236: 0
+clone_color: drbd0:1 allocation score on sles236: 10
 clone_color: drbd0:1 allocation score on sles238: 5
 clone_color: drbd1:0 allocation score on sles236: 0
 clone_color: drbd1:0 allocation score on sles238: 76
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc11.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc11.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc11.scores
@@ -1,21 +1,21 @@
 Allocation scores:
-child_rsc1:0 promotion score on node1: -1
-child_rsc1:1 promotion score on node2: 99
+child_rsc1:0 promotion score on node1: 10
+child_rsc1:1 promotion score on node2: 400
 clone_color: child_rsc1:0 allocation score on node0: -INFINITY
-clone_color: child_rsc1:0 allocation score on node1: 0
-clone_color: child_rsc1:0 allocation score on node2: 0
+clone_color: child_rsc1:0 allocation score on node1: 10
+clone_color: child_rsc1:0 allocation score on node2: 30
 clone_color: child_rsc1:1 allocation score on node0: -INFINITY
-clone_color: child_rsc1:1 allocation score on node1: 0
-clone_color: child_rsc1:1 allocation score on node2: 0
+clone_color: child_rsc1:1 allocation score on node1: 100
+clone_color: child_rsc1:1 allocation score on node2: 300
 clone_color: rsc1 allocation score on node0: -INFINITY
 clone_color: rsc1 allocation score on node1: 0
 clone_color: rsc1 allocation score on node2: 0
 native_color: child_rsc1:0 allocation score on node0: -INFINITY
-native_color: child_rsc1:0 allocation score on node1: 0
-native_color: child_rsc1:0 allocation score on node2: 0
+native_color: child_rsc1:0 allocation score on node1: 10
+native_color: child_rsc1:0 allocation score on node2: -INFINITY
 native_color: child_rsc1:1 allocation score on node0: -INFINITY
-native_color: child_rsc1:1 allocation score on node1: -INFINITY
-native_color: child_rsc1:1 allocation score on node2: 0
+native_color: child_rsc1:1 allocation score on node1: 100
+native_color: child_rsc1:1 allocation score on node2: 300
 native_color: simple-rsc allocation score on node0: -INFINITY
 native_color: simple-rsc allocation score on node1: -INFINITY
-native_color: simple-rsc allocation score on node2: 0
+native_color: simple-rsc allocation score on node2: 300
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-10.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-10.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-10.dot
@@ -49,14 +49,18 @@
 "child_rsc1:3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:3_monitor_1000 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:3_monitor_11000 node2" [ style=bold color="green" fontcolor="black"]
 "child_rsc1:3_post_notify_promote_0 node2" -> "rsc1_confirmed-post_notify_promoted_0" [ style = bold]
 "child_rsc1:3_post_notify_promote_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_post_notify_start_0 node2" -> "rsc1_confirmed-post_notify_running_0" [ style = bold]
 "child_rsc1:3_post_notify_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_pre_notify_promote_0 node2" -> "rsc1_confirmed-pre_notify_promote_0" [ style = bold]
 "child_rsc1:3_pre_notify_promote_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:3_start_0 node2" -> "child_rsc1:3_monitor_1000 node2" [ style = bold]
+"child_rsc1:3_promote_0 node2" -> "child_rsc1:3_monitor_11000 node2" [ style = bold]
+"child_rsc1:3_promote_0 node2" -> "rsc1_promoted_0" [ style = bold]
+"child_rsc1:3_promote_0 node2" [ style=bold color="green" fontcolor="black"]
+"child_rsc1:3_start_0 node2" -> "child_rsc1:3_monitor_11000 node2" [ style = bold]
+"child_rsc1:3_start_0 node2" -> "child_rsc1:3_promote_0 node2" [ style = bold]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc1:3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_monitor_0 node1" -> "rsc1_start_0" [ style = bold]
@@ -66,12 +70,12 @@
 "rsc1_confirmed-post_notify_promoted_0" -> "child_rsc1:0_monitor_11000 node1" [ style = bold]
 "rsc1_confirmed-post_notify_promoted_0" -> "child_rsc1:1_monitor_1000 node2" [ style = bold]
 "rsc1_confirmed-post_notify_promoted_0" -> "child_rsc1:2_monitor_1000 node1" [ style = bold]
-"rsc1_confirmed-post_notify_promoted_0" -> "child_rsc1:3_monitor_1000 node2" [ style = bold]
+"rsc1_confirmed-post_notify_promoted_0" -> "child_rsc1:3_monitor_11000 node2" [ style = bold]
 "rsc1_confirmed-post_notify_promoted_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_confirmed-post_notify_running_0" -> "child_rsc1:0_monitor_11000 node1" [ style = bold]
 "rsc1_confirmed-post_notify_running_0" -> "child_rsc1:1_monitor_1000 node2" [ style = bold]
 "rsc1_confirmed-post_notify_running_0" -> "child_rsc1:2_monitor_1000 node1" [ style = bold]
-"rsc1_confirmed-post_notify_running_0" -> "child_rsc1:3_monitor_1000 node2" [ style = bold]
+"rsc1_confirmed-post_notify_running_0" -> "child_rsc1:3_monitor_11000 node2" [ style = bold]
 "rsc1_confirmed-post_notify_running_0" -> "rsc1_pre_notify_promote_0" [ style = bold]
 "rsc1_confirmed-post_notify_running_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_confirmed-pre_notify_promote_0" -> "rsc1_post_notify_promoted_0" [ style = bold]
@@ -101,6 +105,7 @@
 "rsc1_pre_notify_start_0" -> "rsc1_confirmed-pre_notify_start_0" [ style = bold]
 "rsc1_pre_notify_start_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_promote_0" -> "child_rsc1:0_promote_0 node1" [ style = bold]
+"rsc1_promote_0" -> "child_rsc1:3_promote_0 node2" [ style = bold]
 "rsc1_promote_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_promoted_0" -> "rsc1_post_notify_promoted_0" [ style = bold]
 "rsc1_promoted_0" [ style=bold color="green" fontcolor="orange" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-10.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-10.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-10.scores
@@ -1,28 +1,28 @@
 Allocation scores:
-child_rsc1:0 promotion score on node1: 198
-child_rsc1:1 promotion score on node2: -1
-child_rsc1:2 promotion score on node1: 198
-child_rsc1:3 promotion score on node2: -1
+child_rsc1:0 promotion score on node1: 230
+child_rsc1:1 promotion score on node2: 30
+child_rsc1:2 promotion score on node1: 230
+child_rsc1:3 promotion score on node2: 30
 child_rsc1:4 promotion score on none: 0
-clone_color: child_rsc1:0 allocation score on node1: 0
+clone_color: child_rsc1:0 allocation score on node1: 20
 clone_color: child_rsc1:0 allocation score on node2: 0
 clone_color: child_rsc1:1 allocation score on node1: 0
-clone_color: child_rsc1:1 allocation score on node2: 0
-clone_color: child_rsc1:2 allocation score on node1: 0
+clone_color: child_rsc1:1 allocation score on node2: 10
+clone_color: child_rsc1:2 allocation score on node1: 10
 clone_color: child_rsc1:2 allocation score on node2: 0
 clone_color: child_rsc1:3 allocation score on node1: 0
-clone_color: child_rsc1:3 allocation score on node2: 0
+clone_color: child_rsc1:3 allocation score on node2: 20
 clone_color: child_rsc1:4 allocation score on node1: 0
 clone_color: child_rsc1:4 allocation score on node2: 0
 clone_color: rsc1 allocation score on node1: 0
 clone_color: rsc1 allocation score on node2: 0
-native_color: child_rsc1:0 allocation score on node1: 0
+native_color: child_rsc1:0 allocation score on node1: 20
 native_color: child_rsc1:0 allocation score on node2: 0
 native_color: child_rsc1:1 allocation score on node1: 0
-native_color: child_rsc1:1 allocation score on node2: 0
-native_color: child_rsc1:2 allocation score on node1: 0
-native_color: child_rsc1:2 allocation score on node2: 0
-native_color: child_rsc1:3 allocation score on node1: -INFINITY
-native_color: child_rsc1:3 allocation score on node2: 0
+native_color: child_rsc1:1 allocation score on node2: 10
+native_color: child_rsc1:2 allocation score on node1: 10
+native_color: child_rsc1:2 allocation score on node2: -INFINITY
+native_color: child_rsc1:3 allocation score on node1: 0
+native_color: child_rsc1:3 allocation score on node2: 20
 native_color: child_rsc1:4 allocation score on node1: -INFINITY
 native_color: child_rsc1:4 allocation score on node2: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-10.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-10.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-10.summary
@@ -15,6 +15,7 @@ Transition Summary:
  * Start   child_rsc1:1	(node2)
  * Start   child_rsc1:2	(node1)
  * Start   child_rsc1:3	(node2)
+ * Promote    child_rsc1:3     ( Stopped -> Master node2 )  
 
 Executing cluster transition:
  * Resource action: child_rsc1:0    monitor on node2
@@ -49,6 +50,7 @@ Executing cluster transition:
  * Pseudo action:   rsc1_confirmed-pre_notify_promote_0
  * Pseudo action:   rsc1_promote_0
  * Resource action: child_rsc1:0    promote on node1
+ * Resource action: child_rsc1:3    promote on node2
  * Pseudo action:   rsc1_promoted_0
  * Pseudo action:   rsc1_post_notify_promoted_0
  * Resource action: child_rsc1:0    notify on node1
@@ -59,7 +61,7 @@ Executing cluster transition:
  * Resource action: child_rsc1:0    monitor=11000 on node1
  * Resource action: child_rsc1:1    monitor=1000 on node2
  * Resource action: child_rsc1:2    monitor=1000 on node1
- * Resource action: child_rsc1:3    monitor=1000 on node2
+ * Resource action: child_rsc1:3    monitor=11000 on node2
 
 Revised cluster status:
 Online: [ node1 node2 ]
@@ -68,6 +70,6 @@ Online: [ node1 node2 ]
      child_rsc1:0	(ocf::heartbeat:apache):	Master node1
      child_rsc1:1	(ocf::heartbeat:apache):	Slave node2 
      child_rsc1:2	(ocf::heartbeat:apache):	Slave node1 
-     child_rsc1:3	(ocf::heartbeat:apache):	Slave node2 
+     child_rsc1:3	(ocf::heartbeat:apache):	Master node2
      child_rsc1:4	(ocf::heartbeat:apache):	Stopped 
 
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-11.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-11.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-11.scores
@@ -1,15 +1,15 @@
 Allocation scores:
-child_rsc1:0 promotion score on node1: -1
-child_rsc1:1 promotion score on node2: 99
-clone_color: child_rsc1:0 allocation score on node1: 0
-clone_color: child_rsc1:0 allocation score on node2: 0
-clone_color: child_rsc1:1 allocation score on node1: 0
-clone_color: child_rsc1:1 allocation score on node2: 0
+child_rsc1:0 promotion score on node1: 10
+child_rsc1:1 promotion score on node2: 400
+clone_color: child_rsc1:0 allocation score on node1: 10
+clone_color: child_rsc1:0 allocation score on node2: 30
+clone_color: child_rsc1:1 allocation score on node1: 100
+clone_color: child_rsc1:1 allocation score on node2: 300
 clone_color: rsc1 allocation score on node1: 0
 clone_color: rsc1 allocation score on node2: 0
-native_color: child_rsc1:0 allocation score on node1: 0
-native_color: child_rsc1:0 allocation score on node2: 0
-native_color: child_rsc1:1 allocation score on node1: -INFINITY
-native_color: child_rsc1:1 allocation score on node2: 0
+native_color: child_rsc1:0 allocation score on node1: 10
+native_color: child_rsc1:0 allocation score on node2: -INFINITY
+native_color: child_rsc1:1 allocation score on node1: 100
+native_color: child_rsc1:1 allocation score on node2: 300
 native_color: simple-rsc allocation score on node1: -INFINITY
-native_color: simple-rsc allocation score on node2: 0
+native_color: simple-rsc allocation score on node2: 300
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-2.dot
@@ -48,6 +48,9 @@
 "child_rsc1:3_post_notify_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_pre_notify_promote_0 node2" -> "rsc1_confirmed-pre_notify_promote_0" [ style = bold]
 "child_rsc1:3_pre_notify_promote_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:3_promote_0 node2" -> "rsc1_promoted_0" [ style = bold]
+"child_rsc1:3_promote_0 node2" [ style=bold color="green" fontcolor="black"]
+"child_rsc1:3_start_0 node2" -> "child_rsc1:3_promote_0 node2" [ style = bold]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc1:3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_monitor_0 node1" -> "rsc1_start_0" [ style = bold]
@@ -84,6 +87,7 @@
 "rsc1_pre_notify_start_0" -> "rsc1_confirmed-pre_notify_start_0" [ style = bold]
 "rsc1_pre_notify_start_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_promote_0" -> "child_rsc1:0_promote_0 node1" [ style = bold]
+"rsc1_promote_0" -> "child_rsc1:3_promote_0 node2" [ style = bold]
 "rsc1_promote_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_promoted_0" -> "rsc1_post_notify_promoted_0" [ style = bold]
 "rsc1_promoted_0" [ style=bold color="green" fontcolor="orange" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-2.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-2.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-2.scores
@@ -1,28 +1,28 @@
 Allocation scores:
-child_rsc1:0 promotion score on node1: 198
-child_rsc1:1 promotion score on node2: -1
-child_rsc1:2 promotion score on node1: 198
-child_rsc1:3 promotion score on node2: -1
+child_rsc1:0 promotion score on node1: 230
+child_rsc1:1 promotion score on node2: 30
+child_rsc1:2 promotion score on node1: 230
+child_rsc1:3 promotion score on node2: 30
 child_rsc1:4 promotion score on none: 0
-clone_color: child_rsc1:0 allocation score on node1: 0
+clone_color: child_rsc1:0 allocation score on node1: 20
 clone_color: child_rsc1:0 allocation score on node2: 0
 clone_color: child_rsc1:1 allocation score on node1: 0
-clone_color: child_rsc1:1 allocation score on node2: 0
-clone_color: child_rsc1:2 allocation score on node1: 0
+clone_color: child_rsc1:1 allocation score on node2: 10
+clone_color: child_rsc1:2 allocation score on node1: 10
 clone_color: child_rsc1:2 allocation score on node2: 0
 clone_color: child_rsc1:3 allocation score on node1: 0
-clone_color: child_rsc1:3 allocation score on node2: 0
+clone_color: child_rsc1:3 allocation score on node2: 20
 clone_color: child_rsc1:4 allocation score on node1: 0
 clone_color: child_rsc1:4 allocation score on node2: 0
 clone_color: rsc1 allocation score on node1: 0
 clone_color: rsc1 allocation score on node2: 0
-native_color: child_rsc1:0 allocation score on node1: 0
+native_color: child_rsc1:0 allocation score on node1: 20
 native_color: child_rsc1:0 allocation score on node2: 0
 native_color: child_rsc1:1 allocation score on node1: 0
-native_color: child_rsc1:1 allocation score on node2: 0
-native_color: child_rsc1:2 allocation score on node1: 0
-native_color: child_rsc1:2 allocation score on node2: 0
-native_color: child_rsc1:3 allocation score on node1: -INFINITY
-native_color: child_rsc1:3 allocation score on node2: 0
+native_color: child_rsc1:1 allocation score on node2: 10
+native_color: child_rsc1:2 allocation score on node1: 10
+native_color: child_rsc1:2 allocation score on node2: -INFINITY
+native_color: child_rsc1:3 allocation score on node1: 0
+native_color: child_rsc1:3 allocation score on node2: 20
 native_color: child_rsc1:4 allocation score on node1: -INFINITY
 native_color: child_rsc1:4 allocation score on node2: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-2.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-2.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-2.summary
@@ -15,6 +15,7 @@ Transition Summary:
  * Start   child_rsc1:1	(node2)
  * Start   child_rsc1:2	(node1)
  * Start   child_rsc1:3	(node2)
+ * Promote    child_rsc1:3     ( Stopped -> Master node2 )  
 
 Executing cluster transition:
  * Resource action: child_rsc1:0    monitor on node2
@@ -49,6 +50,7 @@ Executing cluster transition:
  * Pseudo action:   rsc1_confirmed-pre_notify_promote_0
  * Pseudo action:   rsc1_promote_0
  * Resource action: child_rsc1:0    promote on node1
+ * Resource action: child_rsc1:3    promote on node2
  * Pseudo action:   rsc1_promoted_0
  * Pseudo action:   rsc1_post_notify_promoted_0
  * Resource action: child_rsc1:0    notify on node1
@@ -64,6 +66,6 @@ Online: [ node1 node2 ]
      child_rsc1:0	(ocf::heartbeat:apache):	Master node1
      child_rsc1:1	(ocf::heartbeat:apache):	Slave node2 
      child_rsc1:2	(ocf::heartbeat:apache):	Slave node1 
-     child_rsc1:3	(ocf::heartbeat:apache):	Slave node2 
+     child_rsc1:3	(ocf::heartbeat:apache):	Master node2
      child_rsc1:4	(ocf::heartbeat:apache):	Stopped 
 
